Announcement

Collapse
No announcement yet.

How to build project for android vulkan

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

    How to build project for android vulkan

    I setup minimum sdk and target sdk to 19, enable support vulkan and detect vulkan device support option, set android sdk path, ndk path, java path, apache ant path, installed lunarg vulkan sdk, but it finally fallback to es2, what does I forget to set ? I tested it on Samsung s8+ and s10+, UE 4.22.3
    Last edited by lookenwu; 09-09-2019, 10:00 PM.

    #2
    Android Vulkan API is only available for android-24 and above, only for supported devices.
    https://developer.android.com/ndk/gu...etting-started

    Meanwhile, OpenGL ES3.1 is supported for android-21 and above. IINM UE4 has dropped support for ES3.0 a while back.
    https://developer.android.com/guide/...raphics/opengl

    Make sure your Android SDK is updated corresponding to the versions mentioned above, and set to the right API levels.
    In your scenario, it would be Android SDK 24.0.3, with API level android-24 and NDK 15.

    Comment

    Working...
    X